## gdm3 3.38.2.1

=== meson_options.txt ===
option('at-spi-registryd-dir', type: 'string', value: '', description: 'Specify the directory of at-spi-registryd.')
option('check-accelerated-dir', type: 'string', value: '', description: 'Specify the directory of gnome-session-check-accelerated.')
option('custom-conf', type: 'string', value: '', description: 'Filename to give to custom configuration file.')
option('dbus-sys', type: 'string', value: '', description: 'Where D-Bus systemd directory is.')
option('default-pam-config', type: 'combo', choices: [ 'autodetect', 'redhat', 'openembedded', 'exherbo', 'lfs', 'arch', 'none'], value: 'autodetect', description: '')
option('default-path', type: 'string', value: '/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/bin:/sbin', description: 'Path GDM will use as the user\'s default PATH.')
option('defaults-conf', type: 'string', value: '', description: 'Filename to give to defaults file.')
option('dmconfdir', type: 'string', value: '', description: 'Directory where sessions are stored.')
option('gdm-xsession', type: 'boolean', value: false, description: 'Enable installing the gdm Xsession file.')
option('gnome-settings-daemon-dir', type: 'string', value: '', description: 'Specify the directory of gnome-settings-daemon used by the chooser.')
option('group', type: 'string', value: 'gdm', description: 'GDM\'s group.')
option('initial-vt', type: 'integer', value: 1, description: 'Initial virtual terminal to use.')
option('ipv6', type: 'boolean', value: false, description: 'Enables compilation of IPv6 code.')
option('lang-file', type: 'string', value: '', description: 'File containing default language settings.')
option('libaudit', type: 'feature', value: 'auto', description: 'Add Linux audit support.')
option('log-dir', type: 'string', value: '/var/log/gdm', description: 'Log directory.')
option('pam-mod-dir', type: 'string', value: '', description: 'Directory to install PAM modules in.')
option('pam-prefix', type: 'string', value: '', description: 'Specify where PAM files go.')
option('pid-file', type: 'string', value: '', description: 'Pid file.')
option('plymouth', type: 'feature', value: 'auto', description: 'Add plymouth support.')
option('profiling', type: 'boolean', value: false, description: 'Enable profiling.')
option('ran-once-marker-dir', type: 'string', value: '', description: 'Ran once marker directory.')
option('run-dir', type: 'string', value: '', description: 'Runtime directory.')
option('runtime-conf', type: 'string', value: '', description: 'Filename to give to runtime configuration file.')
option('screenshot-dir', type: 'string', value: '', description: 'Directory to store greeter screenshot.')
option('selinux', type: 'feature', value: 'auto', description: 'Add SELinux support.')
option('solaris', type: 'boolean', value: false, description: 'Build for Solaris')
option('split-authentication', type: 'boolean', value: true, description: 'Enable multiple simultaneous PAM conversations during login.')
option('sysconfsubdir', type: 'string', value: 'gdm', description: 'Directory name used under sysconfdir.')
option('systemd-journal', type: 'boolean', value: true, description: 'Use journald support.')
option('systemdsystemunitdir', type: 'string', value: '', description: 'Directory for systemd service files.')
option('systemduserunitdir', type: 'string', value: '', description: 'Directory for systemd user service files.')
option('tcp-wrappers', type: 'boolean', value: false, description: 'Use TCP wrappers.')
option('udev-dir', type: 'string', value: '', description: 'Directory for udev rules file.')
option('user', type: 'string', value: 'gdm', description: 'GDM\'s username.')
option('user-display-server', type: 'boolean', value: true, description: 'Enable running X server as user.')
option('wayland-support', type: 'boolean', value: true, description: 'Enable support for wayland sessions.')
option('working-dir', type: 'string', value: '', description: 'Working directory.')
option('xauth-dir', type: 'string', value: '', description: 'XAuth cookie directory.')
option('xdmcp', type: 'feature', value: 'auto', description: 'Add XDMCP (remote login) support.')

=== debian/changelog ===
gdm3 (3.38.2.1-2ubuntu1) hirsute; urgency=medium

  * Merge with debian, containing new upstream version
  * debian/control: Don't Recommend pam fprintd module, as we seed it
  * debian/patches: Refresh
  * debian/gdm3.prerm: Resync with debian
  * debian/gdm3.gdm-smartcard-*: Add user_readenv=1 in pam_env.so
  * Remaining changes with debian:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - build depend on libgudev-1.0-dev
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - stop installing default.desktop. it adds unnecessary clutter
        ("system default") to the session chooser.
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 25 Feb 2021 19:42:42 +0000

gdm3 (3.38.2.1-2) experimental; urgency=medium

  * debian: Add gdm-smartcard PAM module implemented with libpam_sss.
    The implementation uses update-alternatives to provide a generic
    gdm-smartcard PAM module that can be changed using the tool.
    Potentially other systems could be used or supported (such as pam_pkcs11
    or pam_p11) by adding other modules implementing the gdm-smartcard auth
    service. (LP: #1865226, Closes: #953557)
  * debian: Add gdm-smartcard implementation using pkcs11
  * debian/gdm3.gdm-smartcard-sssd-exclusive.pam:
    - PAM config to use exclusive (no fallback is supported) smartcard
      authentication via libpam_sss
  * debian/gdm3.gdm-smartcard-sssd-or-password.pam:
    - PAM config to optionally use smartcard authentication via libpam_sss,
      on failure it fallbacks to password authentication
  * debian/gdm3.gdm-smartcard-pkcs11-exclusive.pam:
    - PAM config to use exclusive (no fallback is supported) smartcard
      authentication via libpam_pkcs11
  * debian/control:
    - Suggests libam-sss and libam-pkcs11
  * debian/gdm3.alternatives:
    - Add gdm-smartcard alternatives to be used as /etc/pam.d/gdm-smartcard
  * debian/patches: Cherry-pick upstream fixes, including better auth error
    handling (LP: #1865838)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 25 Feb 2021 16:40:24 +0100

gdm3 (3.38.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Add a Homepage field (Closes: #976768)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 18 Dec 2020 19:35:23 +0100

gdm3 (3.38.2-1) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream release
    - Fix location of locale directory
    - display: Exit with failure if loading existing users fails
      (GHSL-2020-202, CVE-2020-16125)
  * Xsession: Use run-parts --list instead of reimplementing it.
    Taken from x11-common.

  [ Dmitry Borodaenko ]
  * Implement has_option in Xsession.
    Now that x11-common moved this function from 20x11-common_process-args
    to Xsession (see #920778), gdm's version of Xsession also has to
    implement it. (Closes: #972108)

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Nov 2020 17:41:42 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gdm3
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: check (>= 0.9.4),
               dconf-cli (>= 0.19.90),
               debhelper-compat (= 13),
               dh-exec,
               dh-sequence-gir,
               dh-sequence-gnome,
               docbook-xml,
               gettext (>= 0.19.8),
               gnome-pkg-tools (>= 0.16.3),
               gnome-settings-daemon-dev (>= 3.24.0),
               gobject-introspection (>= 0.10.7-1~),
               intltool,
               iso-codes,
               itstool,
               libaccountsservice-dev (>= 0.6.35),
               libaudit-dev [linux-any],
               libcanberra-gtk3-dev (>= 0.4),
               libgirepository1.0-dev (>= 0.9.12),
               libglib2.0-dev (>= 2.44.0),
               libgtk-3-dev (>= 2.91.1),
               libgudev-1.0-dev,
               libkeyutils-dev [linux-any],
               libpam0g-dev,
               libplymouth-dev [linux-any],
               libselinux1-dev [linux-any],
               libsystemd-dev [linux-any],
               libwrap0-dev,
               libx11-dev,
               libxau-dev,
               libxcb1-dev,
               libxdmcp-dev,
               meson (>= 0.50),
               systemd,
               udev [linux-any]
Standards-Version: 4.5.0
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gdm
Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git -b ubuntu/master
Vcs-Browser: https://salsa.debian.org/gnome-team/gdm/tree/ubuntu/master
Rules-Requires-Root: no
Homepage: https://wiki.gnome.org/Projects/GDM/

Package: gdm3
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: accountsservice (>= 0.6.35),
         adduser,
         bash (>= 4.3),
         dconf-cli (>= 0.20),
         dconf-gsettings-backend (>= 0.20),
         dbus,
         gir1.2-gdm-1.0 (= ${binary:Version}),
         gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
         gnome-session-bin (>= 3.37.0),
         gnome-session-common (>= 3.37.0-2~),
         gnome-settings-daemon (>= 3.37.0),
         gnome-shell (>= 3.37.90),
         gsettings-desktop-schemas,
         libgdm1 (= ${binary:Version}),
         libglib2.0-bin (>= 2.35.0),
         libpam-modules (>= 0.72-1),
         libpam-runtime (>= 0.76-13.1),
         libpam-systemd [linux-any],
         librsvg2-common,
         lsb-base (>= 3.2-14),
         policykit-1 (>= 0.105-5~) [linux-any],
         procps,
         ucf,
         x11-common (>= 1:7.6+11),
         x11-xserver-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: at-spi2-core,
            x11-xkb-utils,
            xserver-xephyr,
            xserver-xorg,
            zenity
Suggests: gnome-orca,
          libpam-fprintd (>= 0.8.0-2),
          libpam-sss (>= 2.3.0-1),
          libpam-pkcs11,
          libpam-gnome-keyring
Provides: x-display-manager
Breaks: pulseaudio (<< 11.1-2),
        xserver-xorg-core (<< 2:1.17.2-2~)
Description: GNOME Display Manager
 GDM provides the equivalent of a "login:" prompt for X displays: it
 asks for a login and starts graphical sessions.
 .
 It supports multiple seats and switching between multiple users.
 .
 The greeter is based on the GNOME libraries and applications, and its
 look and design are the same as those of a GNOME session.

Package: libgdm1
Section: libs
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: gdm3 (<< 3.18.0-3~)
Replaces: gdm3 (<< 3.18.0-3~)
Description: GNOME Display Manager (shared library)
 GDM provides the equivalent of a "login:" prompt for X displays: it
 asks for a login and starts graphical sessions.
 .
 It supports multiple seats and switching between multiple users.
 .
 The greeter is based on the GNOME libraries and applications, and its
 look and design are the same as those of a GNOME session.
 .
 This package contains the shared library required by gnome-shell.

Package: libgdm-dev
Section: libdevel
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: gir1.2-gdm-1.0 (= ${binary:Version}),
         libgdm1 (= ${binary:Version}),
         libglib2.0-dev (>= 2.44.0),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GNOME Display Manager (development files)
 GDM provides the equivalent of a "login:" prompt for X displays: it
 asks for a login and starts graphical sessions.
 .
 It supports multiple seats and switching between multiple users.
 .
 The greeter is based on the GNOME libraries and applications, and its
 look and design are the same as those of a GNOME session.
 .
 This package contains header and development files.

Package: gir1.2-gdm-1.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: gir1.2-gdm3
Replaces: gir1.2-gdm3
Description: GObject introspection data for the GNOME Display Manager
 GDM provides the equivalent of a "login:" prompt for X displays: it
 asks for a login and starts graphical sessions.
 .
 It supports multiple seats and switching between multiple users.
 .
 The greeter is based on the GNOME libraries and applications, and its
 look and design are the same as those of a GNOME session.
 .
 This package contains introspection data for the GNOME Display Manager.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

ifeq (linux,$(DEB_HOST_ARCH_OS))
CONFFLAGS += \
	-Dselinux=enabled \
	-Dplymouth=enabled
else
CONFFLAGS += \
	-Dwayland-support=false \
	-Dselinux=disabled
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
CONFFLAGS += --buildtype=debug
endif

INFILES := $(wildcard debian/*.desktop.in)
OUTFILES := $(INFILES:.desktop.in=.desktop)

%.desktop: %.desktop.in
	intltool-merge -d debian/po-up $< $@

PODFILES := $(wildcard debian/*.pod)
MANPAGES := $(patsubst %.pod,%,$(PODFILES))

$(MANPAGES): $(PODFILES)
	pod2man --section=$(shell echo $@ | sed 's/.*\.//') \
		--release="GNOME $(DEB_GNOME_VERSION)" \
		--center="Debian GNU/Linux" \
		$< \
		| sed -e 's/debian:://' >$@

%:
	dh $@

# We set this up manually
override_dh_installsystemd:

override_dh_auto_configure:
	X_BIN="/usr/bin/Xorg" \
	dh_auto_configure -- \
		-Dipv6=true \
		-Dat-spi-registryd-dir=/usr/lib/at-spi \
		-Ddefault-path=/usr/local/bin:/usr/bin:/bin:/usr/games \
		-Dsysconfsubdir=gdm3 \
		-Dworking-dir=/var/lib/gdm3 \
		-Dxauth-dir=/run/gdm3 \
		-Drun-dir=/run/gdm3 \
		-Dpid-file=/run/gdm3.pid \
		-Dlog-dir=/var/log/gdm3 \
		-Dgdm-xsession=true \
		-Dpam-mod-dir=/lib/$(DEB_HOST_MULTIARCH)/security \
		-Dscreenshot-dir=/run/gdm3/greeter \
		-Ddefaults-conf=/usr/share/gdm/defaults.conf \
		-Dlang-file=/etc/default/locale \
		-Dcheck-accelerated-dir=/usr/lib/gnome-session/ \
		-Dran-once-marker-dir=/run/gdm3 \
		-Dgnome-settings-daemon-dir="`pkg-config --variable=libexecdir gnome-settings-daemon`" \
		$(CONFFLAGS)

override_dh_auto_build: $(OUTFILES) $(MANPAGES)
	dh_auto_build

override_dh_install:
	dh_install
	mv debian/gdm3/usr/sbin/gdm debian/gdm3/usr/sbin/gdm3
#	chmod 755 debian/gdm3/etc/gdm3/Xsession
	chmod 755 debian/gdm3/usr/share/gdm/generate-config
	dh_installpam -pgdm3 --name=gdm-autologin
	dh_installpam -pgdm3 --name=gdm-launch-environment
	dh_installpam -pgdm3 --name=gdm-password
	dh_installpam -pgdm3 --name=gdm-fingerprint
	dh_installpam -pgdm3 --name=gdm-smartcard-sssd-exclusive
	dh_installpam -pgdm3 --name=gdm-smartcard-sssd-or-password
	dh_installpam -pgdm3 --name=gdm-smartcard-pkcs11-exclusive

override_dh_link:
	# Add compatibility symlinks as GDM is not restarted on upgrades and the lack
	# of these symlinks might prevent the user from login before the machine is
	# restarted. We can remove this after bullseye release.
	( mkdir -p debian/gdm3/usr/lib/gdm3; cd debian/gdm3/usr/lib/gdm3; ln -s ../../libexec/* . )
	dh_link

override_dh_missing:
ifeq ($(just_the_library),yes)
	dh_missing --list-missing
else
	dh_missing --fail-missing
endif

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_installinit:
	dh_installinit --noscripts --no-start

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(MANPAGES)
	rm -f $(OUTFILES)
	rm -f data/gdm.schemas data/61-gdm.rules

## gdm3 41~rc

=== debian/changelog ===
gdm3 (41~rc-0ubuntu2) impish; urgency=medium

  * debian/patches/git_select_session.patch:
    - backport an upstream fix for gdm sometime starting the wrong
      session type and not respecting the user selection (lp: #1945008)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 12 Oct 2021 11:05:27 +0200

gdm3 (41~rc-0ubuntu1) impish; urgency=medium

  * New upstream release:
    - Support systems that boot before the graphics subsystem fully loads
    - Fingerprint auth fixes
    - Allow user session to be Wayland even when login screen is Xorg
    - Allow wayland user sessions for single GPU vendor nvidia machines
      (LP: #1942911)
  * debian/patches: Drop wait for drm device tool
    This was due to bug lp:1794280, but it's now handled by upstream
  * debian/control: Drop build dependency on libgudev-1-0-dev
    It was needed by the tool to wait drm devices
  * debian/gbp.conf: Update upstream-vcs-tag format to work with pre-releases
  * debian/patches: Refresh
  * Merge with debian, remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - stop installing default.desktop. it adds unnecessary clutter
        ("system default") to the session chooser.
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db
  * debian/patches: Keep wayland enabled in all valid nvidia configurations.
    Ensure nvidia drivers are at the expected version for wayland being
    enabled.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 09 Sep 2021 16:57:41 +0200

gdm3 (40.1-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/rules: Drop compatibility symlinks now that bullseye is released
  * debian/watch: Update the watch file to follow the new version scheme
  * debian/control.in: Suggest orca instead of gnome-orca.
    The latter is a transitonal package.

  [ Simon McVittie ]
  * Add Recommends on gnome-session | x-session-manager.
    gdm3 already Depends on gnome-session | x-session-manager |
    x-window-manager | x-terminal-emulator, but not all packages that
    provide x-window-manager are usable as desktop environments (in
    particular, the example window manager in the mutter package does not
    have a built-in way to launch programs). Adding a Recommends here
    provides a stronger hint that nearly all gdm3 users are going to want
    an implementation of x-session-manager, preferably GNOME's.
    (Closes: #986046)
  * d/watch: Don't use @PACKAGE@.
    For historical reasons, the Debian package is gdm3 rather than gdm.
  * New upstream release
    - Includes changes from Marco Trevisan that were previously committed
      as patches (LP: #1935818)

 -- Simon McVittie <smcv@debian.org>  Tue, 07 Sep 2021 10:42:00 +0100

gdm3 (3.38.2.1-3ubuntu3) impish; urgency=medium

  [ Laurent Bigonville ]
  * debian/rules: Drop compatibility symlinks now that bullseye is released
  * debian/watch: Update the watch file to follow the new version scheme
  * debian/control.in: Suggest orca instead of gnome-orca, the later is a transitonal package

  [ Marco Trevisan (Treviño) ]
  * debian/patches:
    - Refresh
    - Correctly handle session opening errors (LP: #1935818)
    - Emit specific error on session opened failure

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 10 Jul 2021 18:28:45 +0200

gdm3 (3.38.2.1-3ubuntu2) impish; urgency=medium

  * Merge with debian
  * debian/gdm3.gdm-smartcard-*: Keep using user_readenv=1 in pam_env.so
  * Remaining changes with debian:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - build depend on libgudev-1.0-dev
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm


=== debian/control ===
--- 
+++ 
@@ -28,7 +28,6 @@
                libgirepository1.0-dev (>= 0.9.12),
                libglib2.0-dev (>= 2.44.0),
                libgtk-3-dev (>= 2.91.1),
-               libgudev-1.0-dev,
                libkeyutils-dev [linux-any],
                libpam0g-dev,
                libplymouth-dev [linux-any],
@@ -81,11 +80,12 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: at-spi2-core,
+            gnome-session | x-session-manager,
             x11-xkb-utils,
             xserver-xephyr,
             xserver-xorg,
             zenity
-Suggests: gnome-orca,
+Suggests: orca,
           libpam-fprintd (>= 0.8.0-2),
           libpam-sss (>= 2.3.0-1),
           libpam-pkcs11,

=== debian/rules ===
--- 
+++ 
@@ -82,13 +82,6 @@
 	dh_installpam -pgdm3 --name=gdm-smartcard-sssd-or-password
 	dh_installpam -pgdm3 --name=gdm-smartcard-pkcs11-exclusive
 
-override_dh_link:
-	# Add compatibility symlinks as GDM is not restarted on upgrades and the lack
-	# of these symlinks might prevent the user from login before the machine is
-	# restarted. We can remove this after bullseye release.
-	( mkdir -p debian/gdm3/usr/lib/gdm3; cd debian/gdm3/usr/lib/gdm3; ln -s ../../libexec/* . )
-	dh_link
-
 override_dh_missing:
 ifeq ($(just_the_library),yes)
 	dh_missing --list-missing

## gdm3 42.0

=== debian/changelog ===
gdm3 (42.0-1ubuntu7.22.04.4) jammy; urgency=medium

  * Add local-display-factory-skip-simpledrm-when-checking-.patch to
    fix a race condition that occurs with simpledrm (LP: #2039757)

 -- Mario Limonciello <superm1@gmail.com>  Tue, 30 Jan 2024 11:28:18 -0600

gdm3 (42.0-1ubuntu7.22.04.3) jammy; urgency=medium

  * debian/patches/ubuntu/gitlab_clearing_signal.patch:
    - clear signal handlers after udev settle to avoid unexpected session
      logouts, thanks Ghadi Rahme (lp: #2020641)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 01 Jun 2023 12:37:58 +0200

gdm3 (42.0-1ubuntu7.22.04.2) jammy; urgency=medium

  [ Daniel van Vugt ]
  * Add local-display-factory-Fix-typo-in-supported-session-types.patch:
    To fix unreliable session type selection (LP: #2006059)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 20 Apr 2023 15:27:53 +0200

gdm3 (42.0-1ubuntu7.22.04.1) jammy; urgency=medium

  * debian: Update vcs references to ubuntu/jammy branch
  * debian/gdm3-gdm-smartcard*: Do not fail if pam_succeed_if suceeded.
    We were not handling the success case in pam_succeed_if.so, and so even
    if other modules were successful, gdm-smartcard was failing with a
    permission denied error, because the pam_succeed_if default was bad, and
    this was applied to the success case too.
    Alternatively we could even just use success=ignore here, but it's
    better to be consistent with other usages. (LP: #1999884)
  * debian/tests: Add autopkg tests testing gdm smartcard authentication.
    Create fake certificates from fake CA's and verify they can be used with
    from a virtual smartcard.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 31 Jan 2023 05:24:48 +0100

gdm3 (42.0-1ubuntu7) jammy; urgency=medium

  [ Alberto Milone ]
  * Default to Wayland for hybrid systems with Nvidia graphics drivers.
    Default to Xorg but offer Wayland with the gear button on the login
    screen for non-hybrid systems with Nvidia graphics drivers. (LP: #1968929)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 21 Apr 2022 06:32:09 -0400

gdm3 (42.0-1ubuntu6) jammy; urgency=medium

  * Fix Wayland no longer being available for everyone
    - Fix by adding a separate revert patch instead of trying to
      rebase the cherry-picked patches (LP: #1969243)
  * Please note that Wayland is not currently available for
    systems using the Nvidia graphics drivers because those drivers
    don't properly handle suspend and resuming from suspend. It is
    intended for those drivers to be fixed in a future stable release
    update for Ubuntu 22.04 LTS. See bug 1968929

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 15 Apr 2022 21:02:08 -0400

gdm3 (42.0-1ubuntu4) jammy; urgency=medium

  * Drop patch disabling Wayland on hybrid laptops using Nvidia's drivers.
    It's not needed for Ubuntu 22.04 LTS (LP: #1968809)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Apr 2022 14:29:35 -0400

gdm3 (42.0-1ubuntu3) jammy; urgency=medium

  * Cherry-pick commits up to March 30
    - Disable Wayland for:
      + Vendor nvidia driver with hybrid graphics
      + VM guest with vGPU and host pass through gpu
      + Various server chips that don't have great blending performance
    - Stop listening to udev events after timeout

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 12 Apr 2022 16:09:54 -0400

gdm3 (42.0-1ubuntu2) jammy; urgency=medium

  * debian/control.in: Depend on ubuntu-session ahead of gnome-session
    (LP: #1966127)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 01 Apr 2022 14:14:18 -0400

gdm3 (42.0-1ubuntu1) jammy; urgency=medium

  * Merge with debian, remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 22 Mar 2022 16:59:12 -0400

gdm3 (42.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
    - Fix hang caused by GDM starting sooner than nvidia_drm
      (Closes: #1004131, LP: #1958488)
    - Default to Wayland for nvidia 510 drivers (LP: #1962523)


=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: check (>= 0.9.4),
                dconf-cli (>= 0.19.90),
                debhelper-compat (= 13),
@@ -28,6 +28,7 @@
                libgirepository1.0-dev (>= 0.9.12),
                libglib2.0-dev (>= 2.44.0),
                libgtk-3-dev (>= 2.91.1),
+               libgudev-1.0-dev (>= 232),
                libkeyutils-dev [linux-any],
                libpam0g-dev,
                libplymouth-dev [linux-any],
@@ -41,11 +42,11 @@
                meson (>= 0.50),
                systemd,
                udev [linux-any]
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gdm
-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gdm/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git -b ubuntu/jammy
+Vcs-Browser: https://salsa.debian.org/gnome-team/gdm/tree/ubuntu/jammy
 Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/Projects/GDM/
 
@@ -57,9 +58,12 @@
          bash (>= 4.3),
          dconf-cli (>= 0.20),
          dconf-gsettings-backend (>= 0.20),
-         dbus,
+         dbus-bin | systemd-sysv,
+         dbus-daemon,
+         default-dbus-system-bus | dbus-system-bus,
+         default-logind [linux-any] | logind [linux-any],
          gir1.2-gdm-1.0 (= ${binary:Version}),
-         gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
+         ubuntu-session | gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
          gnome-session-bin (>= 3.37.0),
          gnome-session-common (>= 3.37.0-2~),
          gnome-settings-daemon (>= 3.37.0),
@@ -69,7 +73,6 @@
          libglib2.0-bin (>= 2.35.0),
          libpam-modules (>= 0.72-1),
          libpam-runtime (>= 0.76-13.1),
-         libpam-systemd [linux-any],
          librsvg2-common,
          lsb-base (>= 3.2-14),
          policykit-1 (>= 0.105-5~) [linux-any],
@@ -80,7 +83,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: at-spi2-core,
-            gnome-session | x-session-manager,
+            ubuntu-session | gnome-session | x-session-manager,
             x11-xkb-utils,
             xserver-xephyr,
             xserver-xorg,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 CONFFLAGS += \
@@ -21,12 +21,6 @@
 ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
 CONFFLAGS += --buildtype=debug
 endif
-
-INFILES := $(wildcard debian/*.desktop.in)
-OUTFILES := $(INFILES:.desktop.in=.desktop)
-
-%.desktop: %.desktop.in
-	intltool-merge -d debian/po-up $< $@
 
 PODFILES := $(wildcard debian/*.pod)
 MANPAGES := $(patsubst %.pod,%,$(PODFILES))
@@ -61,7 +55,6 @@
 		-Dscreenshot-dir=/run/gdm3/greeter \
 		-Ddefaults-conf=/usr/share/gdm/defaults.conf \
 		-Dlang-file=/etc/default/locale \
-		-Dcheck-accelerated-dir=/usr/lib/gnome-session/ \
 		-Dran-once-marker-dir=/run/gdm3 \
 		-Dgnome-settings-daemon-dir="`pkg-config --variable=libexecdir gnome-settings-daemon`" \
 		$(CONFFLAGS)

## gdm3 43.0

=== debian/changelog ===
gdm3 (43.0-3) unstable; urgency=medium

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * debian/tests/control: Use multi-line Test-Command for easier
    maintenance
  * debian/tests/sssd-gdm-smartcard-pam-auth-tester.sh:
    Assert that entering the wrong PIN leads to authentication failure

  [ Patrice Duroux ]
  * d/rules: Generate one man page at a time.
    Otherwise, the content of one arbitrary .pod file gets duplicated into
    each of the man pages. (Closes: #1029839)

  [ Simon McVittie ]
  * d/tests: Avoid autopkgtest failure if test user has blank password.
    If the test user has a blank password (which might be the case in an
    expendable test VM) and PAM accepts blank passwords, then
    gdm-smartcard-sssd-or-password will always authenticate successfully.
    If that's the case, temporarily change the user's password to be
    non-empty while running our tests. Also do the same for root.
  * Move dbus-daemon security policy from /etc to /usr/share
  * d/control.in: Drop unnecessary dependency on lsb-base
  * d/control.in: Remove Multi-Arch: same from gir1.2-gdm-1.0.
    It is not usefully multi-arch co-installable because it depends on
    libgdm1, which contains /usr/bin/gdmflexiserver.
  * d/po/sv.po: Transcode from ISO-8859-1 to UTF-8
  * Update syntax of Lintian overrides
  * Standards-Version: 4.6.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 29 Jan 2023 17:32:20 +0000

gdm3 (43.0-2) unstable; urgency=medium

  * debian/gdm3-gdm-smartcard*: Do not fail if pam_succeed_if suceeded.
    We were not handling the success case in pam_succeed_if.so, and so even
    if other modules were successful, gdm-smartcard was failing with a
    permission denied error, because the pam_succeed_if default was bad, and
    this was applied to the success case too.
    Alternatively we could even just use success=ignore here, but it's
    better to be consistent with other usages. (LP: #1999884)
  * debian/gdm3.gdm-smartcard-sssd-or-password.pam: Always load gnome keyring
    and nologin.
    Ensure that we load the nologin and gnome-key-ring modules also if sss
    module succeeded.
  * debian/tests: Add autopkg tests testing gdm smartcard authentication.
    Create fake certificates from fake CA's and verify they can be used with
    from a virtual smartcard.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 28 Jan 2023 09:57:53 +0100

gdm3 (43.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in: Build gdm3 on armel since gjs & mozjs102
    are built there now
  * Release to unstable

  [ Simon McVittie ]
  * d/control.in: Depend on polkitd instead of policykit-1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 24 Sep 2022 23:48:19 -0400

gdm3 (42.0-2) experimental; urgency=medium

  * Team upload
  * Only build gdm3 on architectures with working mozjs102 and gjs.
    gjs is likely to be removed from armel as part of the move to mozjs102
    (see #1018076), and is unbuildable or fails tests on most non-release
    architectures. gdm3 requires gnome-shell at runtime, which requires gjs.
    To avoid having an uninstallable gdm3 package, only build it on
    architectures where gjs is known to be available.
  * NEWS: Use correct version number and suite (Closes: #1008663)
  * Standards-Version: 4.6.1 (no changes required)
  * Upload to experimental: unstable upload will be done as part of #1018076

 -- Simon McVittie <smcv@debian.org>  Wed, 31 Aug 2022 11:36:12 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: gdm3
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: check (>= 0.9.4),
                dconf-cli (>= 0.19.90),
@@ -16,6 +15,7 @@
                dh-sequence-gnome,
                docbook-xml,
                gettext (>= 0.19.8),
+               gjs [amd64 armel arm64 armhf i386 mips64el mipsel ppc64el s390x riscv64],
                gnome-pkg-tools (>= 0.16.3),
                gnome-settings-daemon-dev (>= 3.24.0),
                gobject-introspection (>= 0.10.7-1~),
@@ -42,20 +42,17 @@
                meson (>= 0.50),
                systemd,
                udev [linux-any]
-Standards-Version: 4.6.0
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gdm
-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git -b ubuntu/jammy
-Vcs-Browser: https://salsa.debian.org/gnome-team/gdm/tree/ubuntu/jammy
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/gdm
+Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
 Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/Projects/GDM/
 
 Package: gdm3
-Architecture: linux-any
+Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x riscv64
 Pre-Depends: ${misc:Pre-Depends}
 Depends: accountsservice (>= 0.6.35),
          adduser,
-         bash (>= 4.3),
          dconf-cli (>= 0.20),
          dconf-gsettings-backend (>= 0.20),
          dbus-bin | systemd-sysv,
@@ -63,7 +60,7 @@
          default-dbus-system-bus | dbus-system-bus,
          default-logind [linux-any] | logind [linux-any],
          gir1.2-gdm-1.0 (= ${binary:Version}),
-         ubuntu-session | gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
+         gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
          gnome-session-bin (>= 3.37.0),
          gnome-session-common (>= 3.37.0-2~),
          gnome-settings-daemon (>= 3.37.0),
@@ -74,8 +71,7 @@
          libpam-modules (>= 0.72-1),
          libpam-runtime (>= 0.76-13.1),
          librsvg2-common,
-         lsb-base (>= 3.2-14),
-         policykit-1 (>= 0.105-5~) [linux-any],
+         polkitd [linux-any],
          procps,
          ucf,
          x11-common (>= 1:7.6+11),
@@ -83,7 +79,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: at-spi2-core,
-            ubuntu-session | gnome-session | x-session-manager,
+            desktop-base (>= 10.0.0),
+            gnome-session | x-session-manager,
             x11-xkb-utils,
             xserver-xephyr,
             xserver-xorg,
@@ -149,7 +146,6 @@
 Package: gir1.2-gdm-1.0
 Section: introspection
 Architecture: linux-any
-Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
+
+built_binaries := $(shell dh_listpackages)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
@@ -22,15 +24,13 @@
 CONFFLAGS += --buildtype=debug
 endif
 
+pod2man := pod2man --release="GNOME $(DEB_GNOME_VERSION)" --center="Debian GNU/Linux"
 PODFILES := $(wildcard debian/*.pod)
 MANPAGES := $(patsubst %.pod,%,$(PODFILES))
 
-$(MANPAGES): $(PODFILES)
-	pod2man --section=$(shell echo $@ | sed 's/.*\.//') \
-		--release="GNOME $(DEB_GNOME_VERSION)" \
-		--center="Debian GNU/Linux" \
-		$< \
-		| sed -e 's/debian:://' >$@
+debian/%: debian/%.pod
+	$(pod2man) --section=$(shell echo $@ | sed 's/.*\.//') \
+		$< | sed -e 's/debian:://' >$@
 
 %:
 	dh $@
@@ -44,16 +44,17 @@
 		-Dipv6=true \
 		-Dat-spi-registryd-dir=/usr/lib/at-spi \
 		-Ddefault-path=/usr/local/bin:/usr/bin:/bin:/usr/games \
+		-Dcustom-conf=/etc/gdm3/daemon.conf \
 		-Dsysconfsubdir=gdm3 \
 		-Dworking-dir=/var/lib/gdm3 \
 		-Dxauth-dir=/run/gdm3 \
 		-Drun-dir=/run/gdm3 \
 		-Dpid-file=/run/gdm3.pid \
 		-Dlog-dir=/var/log/gdm3 \
-		-Dgdm-xsession=true \
 		-Dpam-mod-dir=/lib/$(DEB_HOST_MULTIARCH)/security \
 		-Dscreenshot-dir=/run/gdm3/greeter \
 		-Ddefaults-conf=/usr/share/gdm/defaults.conf \
+		-Duser=Debian-gdm -Dgroup=Debian-gdm \
 		-Dlang-file=/etc/default/locale \
 		-Dran-once-marker-dir=/run/gdm3 \
 		-Dgnome-settings-daemon-dir="`pkg-config --variable=libexecdir gnome-settings-daemon`" \
@@ -64,8 +65,9 @@
 
 override_dh_install:
 	dh_install
+ifneq ($(filter gdm3,$(built_binaries)),)
 	mv debian/gdm3/usr/sbin/gdm debian/gdm3/usr/sbin/gdm3
-#	chmod 755 debian/gdm3/etc/gdm3/Xsession
+	chmod 755 debian/gdm3/etc/gdm3/Xsession
 	chmod 755 debian/gdm3/usr/share/gdm/generate-config
 	dh_installpam -pgdm3 --name=gdm-autologin
 	dh_installpam -pgdm3 --name=gdm-launch-environment
@@ -74,19 +76,16 @@
 	dh_installpam -pgdm3 --name=gdm-smartcard-sssd-exclusive
 	dh_installpam -pgdm3 --name=gdm-smartcard-sssd-or-password
 	dh_installpam -pgdm3 --name=gdm-smartcard-pkcs11-exclusive
+endif
 
 override_dh_missing:
-ifeq ($(just_the_library),yes)
-	dh_missing --list-missing
-else
 	dh_missing --fail-missing
-endif
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
 
 override_dh_installinit:
-	dh_installinit --noscripts --no-start
+	dh_installinit --noscripts
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Test-Command: sudo env
  OFFLINE_MODE=1
  GDM_USER=Debian-gdm
  bash debian/tests/sssd-gdm-smartcard-pam-auth-tester.sh
Features: test-name=sssd-gdm-smartcard-auth-test
Classes: desktop
Depends: bash,
         gdm3,
         gnutls-bin,
         openssl,
         pamtester,
         passwd,
         softhsm2,
         sssd,
         util-linux
Restrictions: breaks-testbed,
              isolation-container,
              needs-sudo,
              allow-stderr
